<?php
class onblogpageWalker extends Walker_Nav_Menu {

	function start_el(&$output, $item, $depth, $args){
		
		global $wp_query;
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
		
		$class_names = $value = '';
		
		if($item->description != 'blog'){
			
			$class_names = ' class="thisisabloglink"';
		   
		} elseif($item->description == 'linkout'){
			
			$class_names = ' class="thisisabloglink"';
		   
		} else {
			
			$class_names = '';
		   
		}
		
		$output .= $indent . '<li>';
		
		$newlink = strtolower(str_replace(' ', '-', $item->title));
		
		if($item->description == 'blog'){
			
			$attributes  = ' title="' . esc_attr( $item->title ) .'"';
			$attributes .= ' href="' . esc_attr( '#content' ) .'"';
		   
		} elseif($item->description == 'home'){
		   
			$attributes  = ' title="' . esc_attr( $item->title ) .'"';
			$attributes .= ' href="' . esc_attr( site_url() ) .'"';
		   
		} elseif($item->description == 'linkout'){
		    
			$attributes  = ' title="' . esc_attr( $item->title ) .'"';
			$attributes .= ' href="' . esc_attr( $item->url ) .'"';
		   
		} else {
		   
			$attributes  = ' title="' . esc_attr( $item->title ) .'"';
			$attributes .= ' href="' . esc_attr( site_url() . '/#' . $newlink) .'"';
		   
		}
		
		$item_output = $args->before;
		$item_output .= '<a' . $class_names . $attributes .'>';
		$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID );
		$item_output .= $args->link_after;
		$item_output .= '</a>';
		$item_output .= $args->after;
		
		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
		
	}
			
}

class normalpageWalker extends Walker_Nav_Menu {

	function start_el(&$output, $item, $depth, $args){
		
		global $wp_query;
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
		
		$class_names = $value = '';
		
		if($item->description == 'blog'){
			
			$class_names = ' class="thisisabloglink"';
		   
		} elseif($item->description == 'linkout'){
			
			$class_names = ' class="thisisabloglink"';
		   
		} else {
			
			$class_names = '';
		   
		}
		
		$output .= $indent . '<li>';
		
		$newlink = strtolower(str_replace(' ', '-', $item->title));
		
		if($item->description == 'blog'){
			
			$attributes  = ' title="' . esc_attr( $item->title ) .'"';
			$attributes .= ' href="' . esc_attr( $item->url        ) .'"';
		   
		} elseif($item->description == 'home'){
		   
			$attributes  = ' title="' . esc_attr( $item->title ) .'"';
			$attributes .= ' href="' . esc_attr( '#top') .'"';
		   
		} elseif($item->description == 'linkout'){
		    
			$attributes  = ' title="' . esc_attr( $item->title ) .'"';
			$attributes .= ' href="' . esc_attr( $item->url ) .'"';
		   
		} else {
		   
			$attributes  = ' title="' . esc_attr( $item->title ) .'"';
			$attributes .= ' href="' . esc_attr( '#' . $newlink) .'"';
		   
		}
		
		$item_output = $args->before;
		$item_output .= '<a' . $class_names . $attributes .'>';
		$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID );
		$item_output .= $args->link_after;
		$item_output .= '</a>';
		$item_output .= $args->after;
		
		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
		
	}
			
}

class altpageWalker extends Walker_Nav_Menu {

	function start_el(&$output, $item, $depth, $args){
		
		global $wp_query;
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
		
		$class_names = $value = '';
			
		$class_names = ' class="thisisabloglink"';
		
		$output .= $indent . '<li>';
		
		$newlink = strtolower(str_replace(' ', '-', $item->title));
		
		if($item->description == 'blog'){
			
			$attributes  = ' title="' . esc_attr( $item->title ) .'"';
			$attributes .= ' href="' . esc_attr( $item->url ) .'"';
		   
		} elseif($item->description == 'home'){
		    
			$attributes  = ' title="' . esc_attr( $item->title ) .'"';
			$attributes .= ' href="' . esc_attr( site_url() ) .'"';
		   
		} elseif($item->description == 'linkout'){
		    
			$attributes  = ' title="' . esc_attr( $item->title ) .'"';
			$attributes .= ' href="' . esc_attr( $item->url ) .'"';
		   
		} else {
		   
			$attributes  = ' title="' . esc_attr( $item->title ) .'"';
			$attributes .= ' href="' . esc_attr( site_url() . '/#' . $newlink) .'"';
		   
		}
		
		$item_output = $args->before;
		$item_output .= '<a' . $class_names . $attributes .'>';
		$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID );
		$item_output .= $args->link_after;
		$item_output .= '</a>';
		$item_output .= $args->after;
		
		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
		
	}
			
}