<?php

/*
 *
 * Portfolio Posts
 *
 *
*/

// add portfolio custom post
add_action('init', 'ublretroscroll_create_portfolio');

function ublretroscroll_create_portfolio(){
	
	$labels = array(
		'name' => __('Portfolio',THEME_LANG),
		'singular_name' => __('Portfolio Item',THEME_LANG),
		'add_new' => __('Add New',THEME_LANG),
		'add_new_item' => __('Add New Portfolio',THEME_LANG),
		'edit' => __('Edit',THEME_LANG),
		'edit_item' => __('Edit Portfolio Item',THEME_LANG),
		'new_item' => __('New Portfolio Item',THEME_LANG),
		'view' => __('View Portfolio',THEME_LANG),
		'view_item' => __('View Portfolio',THEME_LANG),
		'search_items' => __('Search Portfolio',THEME_LANG),
		'not_found' => __('No Portfolio Found',THEME_LANG),
		'not_found_in_trash' => __('No Portfolio Found In The Trash',THEME_LANG),
		'parent' => __('Parent Portfolio',THEME_LANG),
	);
	
	register_post_type(
		'portfolio' ,
		array(
			'labels' => $labels,
			'public' => true,
			'show_ui' => true,
			'menu_position' => 103,
			'menu_icon' => IMAGES . '/retroscrollicon.png',
			'capability_type' => 'post',
			'hierarchical' => false,
			'rewrite' => array('slug' => 'portfolios'),
			'supports' => array('title','editor','thumbnail')
		)
	);
}

// Portfolio Post Meta Box
// activating the metaboxes
function ublretroscroll_portfolio_custom_metaboxes(){
    add_meta_box("ublretroscroll-meta-portfolioimage1", "Image/Video 1", "ublretroscroll_portfolio_portfolioimage1_callback", "portfolio", "normal", "high");
	add_meta_box("ublretroscroll-meta-link", "Portfolio Link", "ublretroscroll_portfolio_link_callback", "portfolio", "side", "low");
	add_meta_box("ublretroscroll-meta-portfoliotype", "Portfolio Type", "ublretroscroll_portfolio_type_callback", "portfolio", "side", "low");
}
add_action("admin_init", "ublretroscroll_portfolio_custom_metaboxes");

// Creating the form
function ublretroscroll_portfolio_portfolioimage1_callback(){
	global $post;
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id; 
	$custom = get_post_custom($post->ID);
	if(!empty($custom["portfolioimage1"])){$portfolioi1 = $custom["portfolioimage1"][0];
	}else{$portfolioi1 = "";}
	echo '<p><input type="text" id="portfolioimage1" name="portfolioimage1" value="' .$portfolioi1 . '" style="width:50%;" />
	<input id="_btn" class="upload_image_button" type="button" value="Upload Image" /></p><p>Just type video url within this section, To insert an image, please click upload image button</p>';
}
function ublretroscroll_portfolio_link_callback(){
	global $post;
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id; 
	$custom = get_post_custom($post->ID);
	if(!empty($custom["portlink"])){$plink = $custom["portlink"][0];
	}else{$plink = "";}
	echo '<p><input name="portlink" id="portlink" value="' . $plink . '" class="widefat" /></p><p>Leave blank if no link is needed</p>';
}
function ublretroscroll_portfolio_type_callback(){
        global $post;
        if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id;
        $custom = get_post_custom($post->ID);
		if(!empty($custom["portfoliotype"])){
        $portfoliotype = $custom["portfoliotype"][0];
		}else{
		$portfoliotype = "image";
		}
?>
	<select id="portfoliotype" name="portfoliotype">
    <option value="image"<?php if($portfoliotype == 'image'){echo ' selected="selected"';} ?>>Image</option>
    <option value="video"<?php if($portfoliotype == 'video'){echo ' selected="selected"';} ?>>Video</option>
    </select>
<?php
}

// saving the portfolio meta boxes
add_action('save_post', 'ublretroscroll_portfolio_metaboxes_save');

function ublretroscroll_portfolio_metaboxes_save(){
	
	global $post;
    if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ){
		return $post_id;
	}else{
		if(!empty($_POST["portfolioimage1"])){update_post_meta($post->ID, "portfolioimage1", $_POST["portfolioimage1"]);}
		if(!empty($_POST["portlink"])){update_post_meta($post->ID, "portlink", $_POST["portlink"]);}
		if(!empty($_POST["portfoliotype"])){update_post_meta($post->ID, "portfoliotype", $_POST["portfoliotype"]);}
    }
}

/*
 *
 * Portfolio Posts
 *
 *
*/

/*
 *
 * Featured Work Posts
 *
 *
*/

// create featured work posts
add_action('init', 'ublretroscroll_create_featured_work');

function ublretroscroll_create_featured_work(){
	global $post_type_name;
	$labels = array(
		'name' => __('Featured Work',THEME_LANG),
		'singular_name' => __('Featured Item',THEME_LANG),
		'add_new' => __('Add New',THEME_LANG),
		'add_new_item' => __('Add New Featured Item',THEME_LANG),
		'edit' => __('Edit',THEME_LANG),
		'edit_item' => __('Edit Featured Item',THEME_LANG),
		'new_item' => __('New Featured Item',THEME_LANG),
		'view' => __('View Featured Item',THEME_LANG),
		'view_item' => __('View Featured Item',THEME_LANG),
		'search_items' => __('Search Featured Items',THEME_LANG),
		'not_found' => __('No Featured Item Found',THEME_LANG),
		'not_found_in_trash' => __('No Featured Item Found In The Trash',THEME_LANG),
		'parent' => __('Parent Featured Item',THEME_LANG),
	);
	
	register_post_type(
		'featuredwork' ,
		array(
			'labels' => $labels,
			'public' => true,
			'show_ui' => true,
			'menu_position' => 103,
			'menu_icon' => IMAGES . '/retroscrollicon.png',
			'capability_type' => 'post',
			'hierarchical' => false,
			'rewrite' => array('slug' => 'featuredworks'),
			'supports' => array('title','editor','thumbnail','excerpt')
		)
	);
}


// add gallery type
add_action("admin_init", "ublretroscroll_featured_custom_metaboxes");

function ublretroscroll_featured_custom_metaboxes(){
    add_meta_box("ublretroscroll-meta-gallerytype", "Gallery Type", "ublretroscroll_gallerytype_options1", "featuredwork", "side", "low");
	add_meta_box("ublretroscroll-meta-gallerylink", "Featured Work Link", "ublretroscroll_gallerytype_options2", "featuredwork", "side", "low");
	add_meta_box("ublretroscroll-meta-galleryskills", "Featured Work Skills", "ublretroscroll_gallerytype_options3", "featuredwork", "side", "low");
	add_meta_box("ublretroscroll-meta-galleryrole", "Featured Work Role", "ublretroscroll_gallerytype_options4", "featuredwork", "side", "low");
	add_meta_box("ublretroscroll-meta-galleryimage1", "Featured Work Extra Image/Video 1", "ublretroscroll_gallerytype_options5", "featuredwork", "normal", "low");
	add_meta_box("ublretroscroll-meta-galleryimage2", "Featured Work Extra Image/Video 2", "ublretroscroll_gallerytype_options6", "featuredwork", "normal", "low");
	add_meta_box("ublretroscroll-meta-galleryimage3", "Featured Work Extra Image/Video 3", "ublretroscroll_gallerytype_options7", "featuredwork", "normal", "low");
	add_meta_box("ublretroscroll-meta-galleryimage4", "Featured Work Extra Image/Video 4", "ublretroscroll_gallerytype_options8", "featuredwork", "normal", "low");
	add_meta_box("ublretroscroll-meta-galleryimage5", "Featured Work Extra Image/Video 5", "ublretroscroll_gallerytype_options9", "featuredwork", "normal", "low");
}

// create custom meta boxes
function ublretroscroll_gallerytype_options1(){
        global $post;
        if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id;
        $custom = get_post_custom($post->ID);
		if(!empty($custom["gallerytype"])){
        $gallerytype = $custom["gallerytype"][0];
		}else{
		$gallerytype = "gallery1";
		}
?>
	<select id="gallerytype" name="gallerytype">
    <option value="gallery1"<?php if($gallerytype == 'gallery1'){echo ' selected="selected"';} ?>>Gallery Style 1</option>
    <option value="gallery2"<?php if($gallerytype == 'gallery2'){echo ' selected="selected"';} ?>>Gallery Style 2</option>
    <option value="videoyoutube"<?php if($gallerytype == 'videoyoutube'){echo ' selected="selected"';} ?>>Youtube Video</option>
    <option value="videovimeo"<?php if($gallerytype == 'videovimeo'){echo ' selected="selected"';} ?>>Vimeo Video</option>
    <option value="single"<?php if($gallerytype == 'single'){echo ' selected="selected"';} ?>>Single Image</option>
    <option value="slides"<?php if($gallerytype == 'slides'){echo ' selected="selected"';} ?>>Slide Show</option>
    </select>
<?php
}
function ublretroscroll_gallerytype_options2(){
	global $post;
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id; 
	$custom = get_post_custom($post->ID);
	if(!empty($custom["gallerylink"])){$glink = $custom["gallerylink"][0];
	}else{$glink = "";}
	echo '<p><input name="gallerylink" id="gallerylink" value="' . $glink . '" class="widefat" /></p><p>Leave blank if no link is needed</p>';
}
function ublretroscroll_gallerytype_options3(){
	global $post;
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id; 
	$custom = get_post_custom($post->ID);
	if(!empty($custom["galleryskills"])){$gskills = $custom["galleryskills"][0];
	}else{$gskills = "";}
	echo '<p><input name="galleryskills" id="galleryskills" value="' . $gskills . '" class="widefat" /></p><p>Leave blank if no link is needed</p>';
}
function ublretroscroll_gallerytype_options4(){
	global $post;
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id; 
	$custom = get_post_custom($post->ID);
	if(!empty($custom["galleryrole"])){$grole = $custom["galleryrole"][0];
	}else{$grole = "";}
	echo '<p><input name="galleryrole" id="galleryrole" value="' . $grole . '" class="widefat" /></p><p>Leave blank if no link is needed</p>';
}
function ublretroscroll_gallerytype_options5(){
	global $post;
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id; 
	$custom = get_post_custom($post->ID);
	if(!empty($custom["galleryimage1"])){$galleryi1 = $custom["galleryimage1"][0];
	}else{$galleryi1 = "";}
	echo '<p><input type="text" id="galleryimage1" name="galleryimage1" value="' .$galleryi1 . '" style="width:50%;" />
	<input id="_btn" class="upload_image_button" type="button" value="Upload Image" /></p><p>Just type video url within this section, To insert an image, please click upload image button</p>';
}
function ublretroscroll_gallerytype_options6(){
	global $post;
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id; 
	$custom = get_post_custom($post->ID);
	if(!empty($custom["galleryimage2"])){$galleryi2 = $custom["galleryimage2"][0];
	}else{$galleryi2 = "";}
	echo '<p><input type="text" id="galleryimage2" name="galleryimage2" value="' .$galleryi2 . '" style="width:50%;" />
	<input id="_btn" class="upload_image_button" type="button" value="Upload Image" /></p><p>Just type video url within this section, To insert an image, please click upload image button</p>';
}
function ublretroscroll_gallerytype_options7(){
	global $post;
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id; 
	$custom = get_post_custom($post->ID);
	if(!empty($custom["galleryimage3"])){$galleryi3 = $custom["galleryimage3"][0];
	}else{$galleryi3 = "";}
	echo '<p><input type="text" id="galleryimage3" name="galleryimage3" value="' .$galleryi3 . '" style="width:50%;" />
	<input id="_btn" class="upload_image_button" type="button" value="Upload Image" /></p><p>Just type video url within this section, To insert an image, please click upload image button</p>';
}
function ublretroscroll_gallerytype_options8(){
	global $post;
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id; 
	$custom = get_post_custom($post->ID);
	if(!empty($custom["galleryimage4"])){$galleryi4 = $custom["galleryimage4"][0];
	}else{$galleryi4 = "";}
	echo '<p><input type="text" id="galleryimage4" name="galleryimage4" value="' .$galleryi4 . '" style="width:50%;" />
	<input id="_btn" class="upload_image_button" type="button" value="Upload Image" /></p><p>Just type video url within this section, To insert an image, please click upload image button</p>';
}
function ublretroscroll_gallerytype_options9(){
	global $post;
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id; 
	$custom = get_post_custom($post->ID);
	if(!empty($custom["galleryimage5"])){$galleryi5 = $custom["galleryimage5"][0];
	}else{$galleryi5 = "";}
	echo '<p><input type="text" id="galleryimage5" name="galleryimage5" value="' .$galleryi5 . '" style="width:50%;" />
	<input id="_btn" class="upload_image_button" type="button" value="Upload Image" /></p><p>Just type video url within this section, To insert an image, please click upload image button</p>';
}

// save custom meta boxes
add_action('save_post', 'ublretroscroll_save_gallerytype');

function ublretroscroll_save_gallerytype(){
    global $post;
    if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ){
		return $post_id;
	}else{
		if(!empty($_POST["gallerytype"])){update_post_meta($post->ID, "gallerytype", $_POST["gallerytype"]);}
		if(!empty($_POST["gallerylink"])){update_post_meta($post->ID, "gallerylink", $_POST["gallerylink"]);}
		if(!empty($_POST["galleryskills"])){update_post_meta($post->ID, "galleryskills", $_POST["galleryskills"]);}
		if(!empty($_POST["galleryrole"])){update_post_meta($post->ID, "galleryrole", $_POST["galleryrole"]);}
		if(!empty($_POST["galleryimage1"])){update_post_meta($post->ID, "galleryimage1", $_POST["galleryimage1"]);}
		if(!empty($_POST["galleryimage2"])){update_post_meta($post->ID, "galleryimage2", $_POST["galleryimage2"]);}
		if(!empty($_POST["galleryimage3"])){update_post_meta($post->ID, "galleryimage3", $_POST["galleryimage3"]);}
		if(!empty($_POST["galleryimage4"])){update_post_meta($post->ID, "galleryimage4", $_POST["galleryimage4"]);}
		if(!empty($_POST["galleryimage5"])){update_post_meta($post->ID, "galleryimage5", $_POST["galleryimage5"]);}
    }
}
/*
 *
 * Featured Work Posts
 *
 *
*/