<?php

/*
 *
 * Popular Blog Posts
 *
*/
class ublretroscroll_popular_posts extends WP_Widget {
	public function __construct() {
		parent::__construct(
		  'ublretroscroll_popular_posts',
		  'Retro Scroll Popular Posts',
		  array( 'description' => __( 'Displays the Most Popular Posts',THEME_LANG))
		);
	}
	
	public function form( $instance ) { 
	
		$title = (isset( $instance[ 'title' ])) ? $instance['title' ] : 'Popular Posts';
		$howmany = (isset( $instance[ 'howmany' ])) ? $instance['howmany' ] : '5';
        
        echo '<p>';
        echo '<label for="'.$this->get_field_id( 'title' ).'">'._e( 'Title:' ).'</label>';
        echo '<input class="widefat" id="'.$this->get_field_id( 'title' ).'" name="'.$this->get_field_name( 'title' ).'" type="text" value="'.esc_attr( $title ).'" /></p>';
        echo '<p><label for="'.$this->get_field_id( 'howmany' ).'">'._e( 'Home Many Posts:' ).'</label>';
        echo '<input class="widefat" id="'.$this->get_field_id( 'howmany' ).'" name="'.$this->get_field_name( 'howmany' ).'" type="text" value="'.esc_attr( $howmany ).'" /></p> ';

	}
	
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['howmany'] = strip_tags( $new_instance['howmany'] );
		return $instance;
	}
	
	public function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );
		$number = apply_filters( 'howmany', $instance['howmany'] );
		if ( !$number = (int) $instance['howmany'] )
			$number = 10;
		else if ( $number < 1 )
			$number = 1;
		else if ( $number > 15 )
			$number = 15;
        echo $before_widget;
		
		if ( ! empty( $title ) ) echo '<h2>' . $title . '</h2>';
		$args= array(
          'showposts' => $number,
          'nopaging' => 0,
          'post_status' => 'publish',
		  'ignore_sticky_posts' => 1, 
		  'post_type' => 'post', 
		  'orderby' => 'comment_count'
		);
		
		$ublmostpop = new WP_Query($args);

		while ( $ublmostpop->have_posts() ) : $ublmostpop->the_post(); ?>
			<?php $comment_count = get_comments_number(); ?>
			<?php if ( $comment_count > 0 ) { 
			$getcontent = get_the_excerpt();
			$coundcontent = strlen($getcontent);
			if($coundcontent > 100){
			$newnumber = '-' . ($coundcontent - 100);
			$newcontent = substr($getcontent, 0, $newnumber); 
			} else {$newcontent = $getcontent;} ?>
            
            <p><strong><?php the_time('jS M Y'); ?>:</strong><br />
            <a href="<?php the_permalink() ; ?>"><strong><?php the_title(); ?></strong></a><br /><?php echo $newcontent . '...'; ?></p>
                
			<?php } ?>
		<?php endwhile; ?>
        
<?php 
		wp_reset_postdata();
        echo $after_widget;
	
	}

}
    
register_widget( 'ublretroscroll_popular_posts' );
/*
 *
 * Popular Blog Posts
 *
*/

/*
 *
 * Flickr Widget
 *
*/  
class ublretroscroll_flickr_widget extends WP_Widget {
	
	public function __construct() {
		parent::__construct(
		  'ublretroscroll_flickr_widget',
		  'Retro Scroll Flickr Widget',
		  array( 'description' => __( 'Displays The Latest Flickr Images',THEME_LANG))
		);
	}
	
		public function form( $instance ) { 
	
		$title = (isset( $instance[ 'title' ])) ? $instance['title' ] : 'Flickr Stream';
		$flickruser = (isset( $instance[ 'flickruser' ])) ? $instance['flickruser' ] : '52617155@N08';
		$howmany = (isset( $instance[ 'howmany' ])) ? $instance['howmany' ] : '16';
        
        echo '<p>';
        echo '<label for="'.$this->get_field_id( 'title' ).'">'._e( 'Title:' ).'</label>';
        echo '<input class="widefat" id="'.$this->get_field_id( 'title' ).'" name="'.$this->get_field_name( 'title' ).'" type="text" value="'.esc_attr( $title ).'" /></p>';
		echo '<label for="'.$this->get_field_id( 'flickruser' ).'">'._e( 'flickr ID:' ).'</label>';
		echo '<input class="widefat" id="'.$this->get_field_id( 'flickruser' ).'" name="'.$this->get_field_name( 'flickruser' ).'" type="text" value="'.esc_attr( $flickruser ).'" /></p>';
        echo '<p><label for="'.$this->get_field_id( 'howmany' ).'">'._e( 'Home Many Posts:' ).'</label>';
        echo '<input class="widefat" id="'.$this->get_field_id( 'howmany' ).'" name="'.$this->get_field_name( 'howmany' ).'" type="text" value="'.esc_attr( $howmany ).'" /></p> ';

	}
	
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['flickruser'] = strip_tags( $new_instance['flickruser'] );
		$instance['howmany'] = strip_tags( $new_instance['howmany'] );
		return $instance;
	}
	
	public function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );
		$flickruser = apply_filters( 'flickruser', $instance['flickruser'] );
		$number = apply_filters( 'howmany', $instance['howmany'] );
		if ( !$number = (int) $instance['howmany'] )
			$number = 10;
		else if ( $number < 1 )
			$number = 1;
		else if ( $number > 16 )
			$number = 16;
        echo $before_widget;
		
		echo '
		<script>
		jQuery(document).ready(function() {
		jQuery("#flickr").jflickrfeed({
				limit: ' . $number . ',
				qstrings: {
					id: ' . '\'' . $flickruser . '\'' . '
				},
				itemTemplate: \'<li><a href="{{image_b}}" rel="prettyPhoto[pp_gal]"><img class="flickr" src="{{image_s}}" alt="{{title}}" width="45" height="45"></a></li>\'
			}, function(data) {
		});	
		});
		</script>
		
		';
		
		if ( ! empty( $title ) ) echo '<h3>' . $title . '</h3>';
		
		echo '<ul id="flickr"></ul><div class="clear"></div>';
		
		wp_reset_postdata();
        echo $after_widget;
	
	}

}
      
register_widget( 'ublretroscroll_flickr_widget' );
/*
 *
 * Flickr Widget
 *
*/ 

/*
 *
 * Recent Featured Work Posts
 *
*/
class ublretroscroll_recentwork extends WP_Widget {
	public function __construct() {
		parent::__construct(
		  'ublretroscroll_recentwork',
		  'Retro Recent Featured Works',
		  array( 'description' => __( 'Displays the recent projects',THEME_LANG))
		);
	}
	
	public function form( $instance ) { 
	
		$title = (isset( $instance[ 'title' ])) ? $instance['title' ] : 'Recent Projects';
		$howmany = (isset( $instance[ 'howmany' ])) ? $instance['howmany' ] : '1';
        
        echo '<p>';
        echo '<label for="'.$this->get_field_id( 'title' ).'">'._e( 'Title:' ).'</label>';
        echo '<input class="widefat" id="'.$this->get_field_id( 'title' ).'" name="'.$this->get_field_name( 'title' ).'" type="text" value="'.esc_attr( $title ).'" /></p>';
        echo '<p><label for="'.$this->get_field_id( 'howmany' ).'">'._e( 'Home Many Posts:' ).'</label>';
        echo '<input class="widefat" id="'.$this->get_field_id( 'howmany' ).'" name="'.$this->get_field_name( 'howmany' ).'" type="text" value="'.esc_attr( $howmany ).'" /></p> ';

	}
	
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['howmany'] = strip_tags( $new_instance['howmany'] );
		return $instance;
	}
	
	public function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );
		$number = apply_filters( 'howmany', $instance['howmany'] );
		if ( !$number = (int) $instance['howmany'] )
			$number = 10;
		else if ( $number < 1 )
			$number = 1;
		else if ( $number > 15 )
			$number = 15;
        echo $before_widget;
		
		if ( ! empty( $title ) ) echo '<h2>' . $title . '</h2>';
		$args= array(
          'showposts' => $number,
          'nopaging' => 0,
          'post_status' => 'publish',
		  'ignore_sticky_posts' => 1, 
		  'post_type' => 'featuredwork', 
		  'orderby' => 'post_date',
		  'order' => 'DESC'
		);
		
		$ublmostpop = new WP_Query($args);

		while ( $ublmostpop->have_posts() ) : $ublmostpop->the_post();
			global $post; 
			$getcontent = get_the_content();
			$worktype = get_post_meta( $post->ID, 'gallerytype', true );
			$coundcontent = strlen($getcontent);
			if($coundcontent > 135){
			$newnumber = '-' . ($coundcontent - 135);
			$newcontent = substr($getcontent, 0, $newnumber); 
			} else {$newcontent = $getcontent;} ?>

			<?php $newtitle = str_replace( " ", "", strtolower(get_the_title())); 
			
			if($worktype == 'gallery1' || $worktype == 'gallery2' || $worktype == 'single' || $worktype == 'slides'){
				
			$lurl = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full'); ?>
            
            <p><img src="<?php echo $lurl[0]; ?>" class="left" width="200" alt="<?php the_title() ; ?>" /><br></p>
            
            <?php } elseif($worktype == 'videoyoutube'){ 
			
			$lurl =  get_post_meta( $post->ID, 'galleryimage1', true );
            
            ?>
            
			<p><iframe width="205" height="85" src="<?php echo $lurl ; ?>" frameborder="0"></iframe></p>
            
			<?php } elseif($worktype == 'videovimeo'){ 
			
			$lurl =  get_post_meta( $post->ID, 'galleryimage1', true );?>
            
            <p><iframe src="<?php echo $lurl ; ?>" width="205" height="85" marginheight="0" marginwidth="0" frameborder="0"></iframe></p>
				
			<?php } ?>
            
            <p class="giveitmore2"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><strong><?php the_title(); ?></strong></a><br><?php echo $newcontent . '...'; ?></p>

		<?php endwhile; ?>
        
<?php 
		wp_reset_postdata();
        echo $after_widget;
	
	}

}
    
register_widget( 'ublretroscroll_recentwork' );
/*
 *
 * Recent Featured Work Posts
 *
*/

/*
 *
 * Blog Categories
 *
*/
class ublretroscroll_blog_cats extends WP_Widget {
	
	public function __construct() {
		parent::__construct(
		  'ublretroscroll_blog_cats',
		  'Retro Scrolls Blog Categories',
		  array( 'description' => __( 'Displays The Bog Categories',THEME_LANG))
		);
	}
	
	public function form( $instance ) { 
	
		$title = (isset( $instance[ 'title' ])) ? $instance['title' ] : 'Blog Categories';
        
        echo '<p>';
        echo '<label for="'.$this->get_field_id( 'title' ).'">'._e( 'Title:' ).'</label>';
        echo '<input class="widefat" id="'.$this->get_field_id( 'title' ).'" name="'.$this->get_field_name( 'title' ).'" type="text" value="'.esc_attr( $title ).'" />';
        echo '</p>';

	}
	
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = strip_tags( $new_instance['title'] );
		return $instance;
	}
	
	public function widget( $args, $instance ) {
		
		global $wpdb;
		
		extract( $args );
		
		$title = apply_filters( 'widget_title', $instance['title'] );
		
		echo $before_widget;
		echo '<h2>'.$title.'</h2>';
		echo '<ul class="pointer">';
            
        wp_list_categories(array('title_li' => '','orderby'   => 'name')); 

		wp_reset_postdata();
		
		echo '</ul>';
        echo $after_widget;
	
	}

}
      
register_widget( 'ublretroscroll_blog_cats' );
/*
 *
 * Blog Categories
 *
*/