<?php
// add link section to custom posts
add_action("admin_init", "ublretroscroll_h1title");

function ublretroscroll_h1title(){
    add_meta_box("ublretroscroll-meta-link", "H1 Title", "ublretroscroll_h1title_options", "page", "advanced", "high");
}

function ublretroscroll_h1title_options(){
        global $post;
        if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id;
        $custom = get_post_custom($post->ID);
		if(!empty($custom["h1title"])){
        $h1title = $custom["h1title"][0];
		}else{
		$h1title = "";
		}
?>
    <input name="h1title" id="h1title" value="<?php echo $h1title; ?>" class="widefat" />
<?php
}

add_action('save_post', 'ublretroscroll_save_h1title');

function ublretroscroll_save_h1title(){
    global $post;
    if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ){
		return $post_id;
	}else{
		if(!empty($_POST["h1title"])){
    	update_post_meta($post->ID, "h1title", $_POST["h1title"]);
		}
    }
}


// add page type
add_action("admin_init", "ublretroscroll_pagetype");

function ublretroscroll_pagetype(){
    add_meta_box("ublretroscroll-meta-pagetype", "Page Type", "ublretroscroll_pagetype_options", "page", "side", "high");
}

function ublretroscroll_pagetype_options(){
        global $post;
        if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return $post_id;
        $custom = get_post_custom($post->ID);
		if(!empty($custom["pagetype"])){
        $pagetype = $custom["pagetype"][0];
		}else{
		$pagetype = "";
		}
?>
	<select id="pagetype" name="pagetype">
    <option value="normal"<?php if($pagetype == 'normal'){echo ' selected="selected"';} ?>>Normal Page</option>
    <option value="home"<?php if($pagetype == 'home'){echo ' selected="selected"';} ?>>Home Page</option>
    <option value="blog"<?php if($pagetype == 'blog'){echo ' selected="selected"';} ?>>Blog Page</option>
    <option value="portfolio"<?php if($pagetype == 'portfolio'){echo ' selected="selected"';} ?>>Portfolio Page</option>
    <option value="featured"<?php if($pagetype == 'featured'){echo ' selected="selected"';} ?>>Featured Work Page</option>
    <option value="contact"<?php if($pagetype == 'contact'){echo ' selected="selected"';} ?>>Contact Page</option>
    </select>
<?php
}

add_action('save_post', 'ublretroscroll_save_pagetype');

function ublretroscroll_save_pagetype(){
    global $post;
    if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ){
		return $post_id;
	}else{
		if(!empty($_POST["pagetype"])){
    	update_post_meta($post->ID, "pagetype", $_POST["pagetype"]);
		}
    }
}